ortp::FecStreamCxx Class Reference

## Public Member Functions

| FecStreamCxx (struct _RtpSession *source, struct _RtpSession *fec, FecParameters *fecParams)
void | init ()
void | onNewSourcePacketSent (mblk_t *packet)
void | onNewSourcePacketRecieved (mblk_t *packet)
void | recieveRepairPacket (uint32_t timestamp)
mblk_t * | findMissingPacket (uint16_t seqnum)
RtpSession * | getFecSession () const
RtpSession * | getSourceSession () const
fec_stats * | getStats ()
void | printStats ()

## Static Public Member Functions

static int | processOnSend (struct _RtpTransportModifier *m, mblk_t *packet)
static int | processOnRecieve (struct _RtpTransportModifier *m, mblk_t *packet)

The documentation for this class was generated from the following file:

- fecstream.h